Loading...
Searching...
No Matches
volk_32f_binary_slicer_32i.h File Reference
`#include <emmintrin.h>`
`#include <immintrin.h>`
`#include <arm_neon.h>`

Go to the source code of this file.

## Functions

static void | volk_32f_binary_slicer_32i_generic (int *cVector, const float *aVector, unsigned int num_points)
static void | volk_32f_binary_slicer_32i_generic_branchless (int *cVector, const float *aVector, unsigned int num_points)
static void | volk_32f_binary_slicer_32i_a_sse2 (int *cVector, const float *aVector, unsigned int num_points)
static void | volk_32f_binary_slicer_32i_a_avx (int *cVector, const float *aVector, unsigned int num_points)
static void | volk_32f_binary_slicer_32i_u_sse2 (int *cVector, const float *aVector, unsigned int num_points)
static void | volk_32f_binary_slicer_32i_u_avx (int *cVector, const float *aVector, unsigned int num_points)
static void | volk_32f_binary_slicer_32i_neon (int *cVector, const float *aVector, unsigned int num_points)

## Function Documentation

## volk_32f_binary_slicer_32i_a_avx()

void volk_32f_binary_slicer_32i_a_avx | ( | int * | cVector,
|  | const float * | aVector,
|  | unsigned int | num_points )

inline static

## volk_32f_binary_slicer_32i_a_sse2()

void volk_32f_binary_slicer_32i_a_sse2 | ( | int * | cVector,
|  | const float * | aVector,
|  | unsigned int | num_points )

inline static

## volk_32f_binary_slicer_32i_generic()

void volk_32f_binary_slicer_32i_generic | ( | int * | cVector,
|  | const float * | aVector,
|  | unsigned int | num_points )

inline static

## volk_32f_binary_slicer_32i_generic_branchless()

void volk_32f_binary_slicer_32i_generic_branchless | ( | int * | cVector,
|  | const float * | aVector,
|  | unsigned int | num_points )

inline static

## volk_32f_binary_slicer_32i_neon()

void volk_32f_binary_slicer_32i_neon | ( | int * | cVector,
|  | const float * | aVector,
|  | unsigned int | num_points )

inline static

## volk_32f_binary_slicer_32i_u_avx()

void volk_32f_binary_slicer_32i_u_avx | ( | int * | cVector,
|  | const float * | aVector,
|  | unsigned int | num_points )

inline static

## volk_32f_binary_slicer_32i_u_sse2()

void volk_32f_binary_slicer_32i_u_sse2 | ( | int * | cVector,
|  | const float * | aVector,
|  | unsigned int | num_points )

inline static